### Method

# Aravis Camera set_frame_rate

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_set_frame_rate (
      ArvCamera* camera,
      double frame_rate,
      GError** error
    )

#### Description [src]

Configures a fixed frame rate mode. Once acquisition start is triggered, the video stream will be acquired with the given frame rate. A negative or zero `frame_rate` value disables the frame rate limit.

All triggers are disabled.

Available since: 0.8.0

#### Parameters

`frame_rate`

  Type: `double`

  Frame rate, in Hz.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.